Package com.microblink.blinkid.entities.processors

# Class Processor<T extends Processor.Result>

java.lang.Object
com.microblink.blinkid.entities.Entity<T>
com.microblink.blinkid.entities.processors.Processor<T>

All Implemented Interfaces:
  `android.os.Parcelable`

Direct Known Subclasses:
  `ImageReturnProcessor`

public abstract class Processor<T extends Processor.Result> extends Entity<T>
Base processor that is used to perform processing of images.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Processor.Result`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_NAME`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Processor(long nativeProcessor, T concreteResult)`
  `protected`
  `Processor(long nativeProcessor, T concreteResult, android.os.Parcel in)`

- ## Method Summary

  ### Methods inherited from class com.microblink.blinkid.entities.Entity

  `clone, consumeResultFrom, describeContents, deserializeNativeSettings, finalize, getNativeContext, getResult, nativeGetNativeResultContext, readFromParcel, serializeNativeSettings, terminateNative, writeToParcel`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLASS_NAME

    @NonNull public static final String CLASS_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Processor

    protected Processor(long nativeProcessor, @NonNull T concreteResult)

  - ### Processor

    protected Processor(long nativeProcessor, @NonNull T concreteResult, @NonNull android.os.Parcel in)